#include <stdio.h>
#include <propeller.h>     

// the STATIC HUB mailbox for communication to PASM routine 
// a pointer to this gets passed to the PASM code as the PAR register
static unsigned int value; 						

int start(unsigned int *value)
{
    // The label binary_sigma_delta_dat_start is automatically placed
    // on the cog code from sigme_delta.dat by objcopy (see the Makefile).
    extern unsigned int binary_sigma_delta_dat_start[];
    
    return cognew(&binary_sigma_delta_dat_start, value);
}

void main (int argc,  char* argv[])
{
	// start a new COG passing a pointer to the STATIC mailbox structure
 	start(&value);
	CTRA = (1<<28)+(1<<3)+(1<<1);          
	DIRA |= 1 << 16; 
	DIRA |= 1 << 0;	

    while(1)
	{
	  waitcnt(CNT+512);
	  value = value & 64;
	  if(value)
	  {
		OUTA |= 1 << 16;
		waitcnt(CNT+CLKFREQ);
		OUTA &= ~(1 << 16);
	  }

	}
}	  